struts-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Lukasz Lenart <lukaszlen...@apache.org>
Subject Re: s2 and jdk9: works with newer snapshot builds
Date Mon, 14 Aug 2017 18:17:21 GMT
2017-08-14 17:18 GMT+02:00 Yasser Zamani <yasser.zamani@live.com>:
> Hi there,
>
> Yes, me too passed a lot of tests by upgrading surefire to 2.20 which
> enables class loading from new java module system in jdk-9.
>
> I think the rest of failed tests are about Struts itself and should be
> corrected. For example what you mentioned, is due to the Java 9
> architecture precluding use of URLClassLoader as a superclass for the
> system ClassLoaders. So our test cannot find any URLClassLoader and
> returns null from ClassPathFinder.getURLClassLoader!
>
> Would we need JDK-9 support at now? if so I can work on them one by one
> and prepare a PR :)

We can postpone this, it isn't so important (for now) till the current
build (based on either JDK7 or JDK8) can be run on Java 9.


Regards
-- 
Ɓukasz
+ 48 606 323 122 http://www.lenart.org.pl/

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@struts.apache.org
For additional commands, e-mail: dev-help@struts.apache.org


Mime
View raw message